2018-04-24  G. Branden Robinson <g.branden.robinson@gmail.com>

	* version.sh: Bump groffer version to 2.3.0, reflecting Bernd's
	  addition of the xhtml device/mode feature in 2015.  This
	  change extended the interface of the groffer
	  program--backwards-compatibly--e.g., by adding the '--xhtml'
	  option.

2018-04-24  G. Branden Robinson <g.branden.robinson@gmail.com>

	* version.sh (_GROFF_VERSION_PRESET): Set to 1.22.4.

2018-02-28  Werner LEMBERG  <wl@gnu.org>

	* groffer.am (groffer): Use $(AM_V_GEN) to silence file generation.

2015-08-27  Bernd Warken  <groff-bernd.warken-72@web.de>

	* *.pl: Add device (mode) `xhtml'.

	* groffer.1.man: Add documentation for device `xhtml'.

2015-08-27  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.1.man: Correct the documentation for `--viewer'.

2015-08-05  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.1.man: Rename `groffer.man'.

	* roff2.1.man: Rename `roff2.man'.

	* groffer.am: Include renamings.

2015-08-05  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.am: Add `Last update'.  Setup Emacs mode.

2015-04-04  Werner LEMBERG  <wl@gnu.org>

	* roff2.man (EL): Fix typo.

2015-04-04  Werner LEMBERG  <wl@gnu.org>

	* roff2.man: Make it work in compatibility mode.

2015-04-04  Werner LEMBERG  <wl@gnu.org>

	* groffer.man: Make it work in compatibility mode.
	(EL): Fix typo.

2015-03-20  Werner LEMBERG  <wl@gnu.org>

	* subs.pl (where_is_prog): Fix typo.

2014-11-04  Werner LEMBERG  <wl@gnu.org>

	* version.sh (_GROFF_VERSION_PRESET): Set to 1.22.3.

2014-09-03  Bernd Warken  <groff-bernd.warken-72@web.de>

	* version.sh: Version 2.2.5

	* all groffer files: Copying and Emacs setup.

2014-08-02  Bernd Warken  <groff-bernd.warken-72@web.de>

	* version.sh: Version 2.2.4

	* groffer.pl: Change default `tty' to `utf8'.

2014-08-02  Bernd Warken  <groff-bernd.warken-72@web.de>

	Version 2.2.3

2014-07-06  Bernd Warken  <groff-bernd.warken-72@web.de>

	* subs.pl: Correct call for `grog'.

2014-07-06  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.man, roff2.man: Make compatible with `doclifter'.

2014-07-05  Bernd Warken  <groff-bernd.warken-72@web.de>

	* main_subs.pl: Add newer `groff' options `j' and `J'.

2014-07-04  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.man, roff2.man: Transform to classical man-page style.

2014-07-04  Bernd Warken  <groff-bernd.warken-72@web.de>

	* version.sh: New version 2.2.2

	* groffer.man: Rename `.Env_var' to `.Small_CB'.

2014-07-03  Bernd Warken  <groff-bernd.warken-72@web.de>

	* roff2.man: Move `.TH', etc. to the beginning of the file.

	* groffer.man: Improve definition of char `Ellipsis'.

2014-07-03  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.tmac: Remove this file.

	* Makefile.sub: Remove parts related to `groffer.tmac'.

	* groffer.man: Instead of `.mso' for `groffer.tmac' copy former
	`groffer.tmac' at the head of the man-page.

2014-06-18  Bernd Warken  <groff-bernd.warken-72@web.de>

	* Makefile.sub: Let `groffer.tmac' be removed in uninstalling
	`tmacdir'.

	* groffer.man: Use `.mso' for `groffer.tmac'.  Remove definitions
	for macros, etc.

2014-06-18  Bernd Warken  <groff-bernd.warken-72@web.de>

	* version.sh: New version 2.2.1.

	* groffer.tmac: Collection of strings and macros for `groffer.man'
	and other man-pages.

	* Makefile.sub: Add `groffer.tmac'.

2014-06-18  Bernd Warken  <groff-bernd.warken-72@web.de>

	* version.sh: Upgrade to version 2.1.3.

	* perl_test.pl: Remove this file.

	* Makefile.sub: Remove HAS_PERL.

	* groffer.pl: Add `require' for Perl version.

2014-06-11  Bernd Warken  <groff-bernd.warken-72@web.de>

	* func.pl, subs.pl: Rename `func.pl' to `subs.pl'.

	* groffer.pl, main_subs.pl: Move all subs in `groffer.pl' to
	`main_subs.pl'.

	* version.sh: Upgrade to version 2.1.2.

2014-06-01  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.pl: Fix ligature error `fi', etc. in pdf-mode by
	appending `-P-y -PU' to `grog' call.  pfd2-mode works, but still
	has the ligature error.

	* func.pl: Reorder.

	* version.sh: Upgrade to version 2.1.1.

2014-06-01  Deri James  <deri@chuzzlewit.myzen.co.uk>

	* Proposal to use `-P-y -PU' arguments for `groff' in `-Tpdf'.

2014-05-31  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.pl, func.pl, groffer.man: Change all existing viewer
	options into a single one `--viewer'.

	* version.sh: Upgrade to version 2.1.0.

2014-03-30  Steffen Nurpmeso  <sdaoden@yandex.com>

	* Makefile.sub: Put straight error-prevention prefixes for `rm'.

2014-03-30  Steffen Nurpmeso  <sdaoden@yandex.com>

	* Makefile.sub (uninstall_sub): Typo.

2014-03-27  Werner LEMBERG  <wl@gnu.org>

	Fix `make install'.

	* Makefile.sub (GROFFER_PERL, GROFFER_REST): Don't use $(srcdir).

2014-03-11  Ingo Schwarze  <schwarze@openbsd.org>  (tiny change)

	* Makefile.sub (clean): Don't remove checked-in file `groffer.man'.

	This got broken in fabbbb0e335801bc20f5c25fb0c448e23673721d when
	`groffer.man' was moved from the former `perl' subdir and the cp(1)
	call was removed that used to copy it around.

2014-02-26  Bernd Warken  <groff-bernd.warken-72@web.de>

	* Makefile.sub: fix

2014-02-26  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.pl: Fix modes pdf and pdf2.

2014-02-25  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.pl: fix source location, when run before `make'

2014-02-25  Bernd Warken  <groff-bernd.warken-72@web.de>

	* groffer.man: replace .copyleft by .co

2014-02-25  Bernd Warken  <groff-bernd.warken-72@web.de>

	* all former Perl files: Correct source file position.

2014-02-25  Bernd Warken  <groff-bernd.warken-72@web.de>

	* all: Add links for license text.

2014-02-25  Bernd Warken  <groff-bernd.warken-72@web.de>

	* version.sh: new version groffer 2.0.2
	* perl/: Move all files to top directory and remove this
	directory.
	* Makefile.sub: Handle the deletion of perl/.
	* groffer.pl: Rename traditional pdf mode with ps2pdf into pdf2.
	Create a new mode pdf using groff -Tpdf.  New options: --pdf2,
	--mode=pdf2.
	* groffer.man: Document the renamed and new options.
	* README, README_PERL: rewrite

2013-12-23  Bernd Warken  <groff-bernd.warken-72@web.de>

	New version groffer-2.0.1
	- with Perl
	- without Shell version

	Remove
	* shell/ChangeLog.0
	* shell/README_SH
	* shell/groffer.man
	* shell/groffer.sh
	* shell/groffer2.sh
	* shell/roff2.sh
	* shell/

	* README: remove hints to the shell version
	* Makefile.sub: remove hints to the shell version
	* version.sh: change version number to `2.0.1'
	* .cvsignore, .gitignore: rename `.cvsignore' to `.gitignore'

2013-12-22  Bernd Warken  <groff-bernd.warken-72@web.de>

	* git@github.com:RUNOFF/groffer.git: remove this archive

2013-04-11  Bernd Warken  <groff-bernd.warken-72@web.de>

	* contrib/groffer: There is now a free `git' package containing
	all old `groffer' versions `v0.*' and `v1.*'.  The new versions
	`groffer 2.*' will actually not be included.  This package can be
	got at:

	$ git clone git@github.com:RUNOFF/groffer.git

2013-03-29  Bernd Warken  <groff-bernd.warken-72@web.de>

	* perl/groffer.pl: Change viewers for `PS'.

2013-03-29  Bernd Warken  <groff-bernd.warken-72@web.de>

	* perl/groffer.pl: Change viewers for `PS' and `PDF'.

	* version.sh: New version is `1.1.3'.

2012-08-09  Werner LEMBERG  <wl@gnu.org>

	Synchronize man pages.

	* perl/groffer.man, shell/groffer.man: Fix many minor issues.

2012-08-07  Eric S. Raymond  <esr@thyrsus.com>

	Yet more elimination of low-level troff hackery in the
	documentation so it can be lifted to structural markup.

	* perl/groffer.man: Use .IP rather than .TP in
	.Topic; this make structural parsing work.  Also remove a
	pointless and somewhat out-of-date .ig section.

2011-10-17  Ingo Schwarze  <schwarze@openbsd.org>

	Do not use INSTALL_DATA and INSTALL_SCRIPT during build phase.

	* Makefile.sub (groffer): Replace INSTALL_DATA and
	INSTALL_SCRIPT with `cp'.  Otherwise the build phase might
	fail with `permission denied' if you use the `-o root' flag
	of the `install' command.  The use of INSTALL_* is an abuse
	anyway because it's not installing anything at that point;
	it's just copying files around locally, within in the build
	directories.

2011-03-21  Jan Vcelak  <jvcelak@redhat.com>
	    Bernd Warken <groff-bernd.warken-72@web.de>

	Remove hardcoded path to 'libdir/groff/groffer' directory.

	* Makefile.sub: use @groffer_dir@

	* groffer.pl: use @groffer_dir@

2011-01-27  James Budiono  <james.budiono@gmail.com>
	    Bernd Warken <groff-bernd.warken-72@web.de>

	Fix display of manpages.

	Reported as
	http://lists.gnu.org/archive/html/bug-groff/2011-01/msg00015.html.

	* perl/groffer.pl (_get_first_prog): Fix return value.
	(Viewer_X): Add `okular' viewer.
	* perl/man.pl (manpath_set_from_path): Handle `@main::Path)'
	correctly.

	* version.sh: Updated.

2009-01-03  Werner LEMBERG  <wl@gnu.org>

	* version.sh: Prepare for groff release 1.20.

2008-01-04  Werner LEMBERG  <wl@gnu.org>

	* shell/groffer.man, perl/groffer.man: Insert `\:' in URLs where
	appropriate.

2007-02-15  Eric S. Raymond  <esr@snark.thyrsus.com>

	* perl/groffer.man, perl/groffer.man: Fix non-portable `if'
	expressions.

2007-02-13  Eric S. Raymond  <esr@snark.thyrsus.com>

	Use an-ext.tmac macros in groffer.man.

	* perl/groffer.man, perl/groffer.man: Replace ShellCommand with
	.EX/.EE pairs.
	Don't use .TP for examples, as some viewers won't handle a display
	macro as a tag line.  Use .SY/.OP/.YS rather than elaborate custom
	macros.

2007-02-02  Werner LEMBERG  <wl@gnu.org>

	* roff2.man: Further refinements and normalizations.

2007-02-02  Eric S. Raymond  <esr@snark.thyrsus.com>

	* roff2.man: Converted to use .SY/.OP/.YS and for cross-viewer
	portability.  Conversion checked using the protocol described in
	tmac/TESTING-HINTS.

2006-11-14  Werner LEMBERG  <wl@gnu.org>

	* Makefile.sub (GROFFER_REST): Add roff2.man.
	(groffer): Use $(INSTALL_DATA) for man pages.
	Don't call `chmod' for $(ROFF2PROGS).
	(roff2.man): Typographical fixes.

2006-11-11  Bernd Warken  <groff-bernd.warken-72@web.de>
	________________________________________________________________
	* release of groffer 1.1.1

	* perl/roff2.pl, shell/roff2.sh: Create a new working mode without
	`groffer' for `roff2*'.

	* perl/groffer.pl: Fix test of temporary directory.

2006-11-09  Bernd Warken  <groff-bernd.warken-72@web.de>
	________________________________________________________________
	* release of groffer 1.1.0

	* perl/groffer.pl, perl/func.pl, perl/groffer.man, \
	shell/groffer2.sh, shell/groffer.man: Add `--debug-grog' to
	display the `grog' output.

	* perl/roff2.pl, shell/roff2.sh: New files for creating the roff2*
	programs to transform roff code to different formats.

	* roff2.man: New file to create man pages for the roff2*
	programs.

	* Makefile.sub: Add roff2* and some minor fixes.

2006-11-04  Bernd Warken  <groff-bernd.warken-72@web.de>
	________________________________________________________________
	* release of groffer 1.0.3

	* Makefile.sub:
	- Delete removing of $(CLEANADD) in `groffer'.
	- Add $(MAN1) to `groffer'.

	* perl/groffer.pl, perl/func.pl, shell/groffer2.sh:
	- Add `groff' option with argument `-K'.
	- Redesign the changed `grog'.

2006-10-23  Bernd Warken  <groff-bernd.warken-72@web.de>
	________________________________________________________________
	* release of groffer 1.0.2

	* perl/groffer.pl:
	- Move all variable declarations out of BEGIN.
	- Move all `use' commands outside of BEGIN.  Fix the arising
	errors.
	- Correct new position of perl/perl_test.pl.

	* perl/func.pl:
	- version(): Fix the determination of the version of groff.
	- usage(): Sort it among the functions in this file.

	* perl/groffer.man, shell/groffer.man: Fix string variable
	Ellipsis.

	* shell/README_SH: Add information on Autobook.

	* shell/groffer.sh:
	- Extent simple shell tests by testing on support for functions.
	Test standard shell on function support.  Add error reports on
	shell tests.
	- Set unset variables LANG LC_ALL LC_MESSAGES LC_CTYPES LANGUAGES
	to `C', according to Autobook, ch. 22.
	- Remove option `-e' from `sed'.

	* shell/groffer2.sh:
	- Add test on directory in man path find.
	- Add Bourne compatibility for zsh shell.
	- Replace `echo -n ""' by `:'.
	- Remove -e option from sed.

2006-10-23  Werner Lemberg

	* perl_test.pl: Moved to...
	* perl/perl_test.pl: Here.

	* Makefile.sub: Rewritten.  Change PERL to HAVE_PERL and SHELL to
	HAVE_SHELL.

2006-10-14  Bernd Warken  <groff-bernd.warken-72@web.de>
	________________________________________________________________
	* release of groffer 1.0.1

	* perl/groffer.pl: Change $perl_test_pl to $file_perl_test_pl.

	* perl/groffer.pl, perl/func.pl: Remove `\n' in `die' calls.

2006-10-12  Bernd Warken  <groff-bernd.warken-72@web.de>
	________________________________________________________________
	* release of groffer 1.0.0

	Changements of the shell version since 0.9.31

	* shell/groffer.sh: Use version.sh in the upper directory.

2006-10-02  Bernd Warken  <groff-bernd.warken-72@web.de>

	The groffer versions 1.* have two kinds of program, a shell
	version and a Perl version.

	The shell version is kept from the old shell only versions of
	groffer 0.*.  Most of the former files in the main groffer
	directory are now moved to the subdirectoy shell/.

	The Perl version of groffer is a complete rewrite; most of its
	files are found in the subdirectory perl/.

	The Makefile.sub decides whether the shell or Perl version of
	groffer is installed.  This is done by the program perl_test.pl.

	In the following, all files in the groffer directory tree are
	mentioned.

	* ChangeLog: This file.  It contains information for `groffer'
	versions >= 1.0.0 with shell and Perl kinds.  For older `groffer'
	versions, see `shell/ChangeLog.0' which contains information for
	the shell only versions of groffer 0.*.

	* Makefile.sub: The old `Makefile.sub' was extended to support the
	shell and the Perl version of `groffer' at the same time.  If the
	test of `perl_test.pl' succeeds the `groffer' Perl version will be
	installed, otherwise the shell version is used.

	* perl_test.pl: This is used by `Makefile.sub' and installed with
	the Perl version of `groffer'.  It is a test of the installed perl
	version.  The installed Perl version should be greater or equal
	than the version that is required by this file.

	* version.sh: This is the old file kept from the shell version of
	`groffer'.  It stores the `groffer' version, the date of the last
	update, and the `groff' version.  It is used and installed for the
	shell and Perl version of `groffer'.

	* README: This is the old `README' file extended by information on
	the shell and Perl kinds of `groffer'.

	* perl/: Subdirectory for the Perl version of `groffer'.

	* perl/groffer.pl: This is the `groffer' script of the Perl
	version, a Perl source file that handles the complete groffer
	functionality.

	* perl/man.pl: This is the collection of functions that are
	related to man pages, `apropos', and `whatis'.  It is loaded by
	`perl/groffer.pl'.

	* perl/func.pl: This is the collection of miscellaneous functions.
	It is loaded by `perl/groffer.pl'.

	* perl/split_env.sh: A shell script that is used by
	`perl/groffer.pl' to split a large shell environment variable to a
	Perl array.

	* perl/groffer.man: This is the man page of the Perl version of
	`groffer'.  It is derived from `groffer.man' of the shell version.
	It will only be installed when the `Makefile.sub' chooses to
	install the Perl version of 'groffer' instead of the shell
	version.

	* perl/README_PERL: This file contains information of the Perl
	compatibility and details that are special to the Perl version.

	* shell/: Subdirectory for the shell version of `groffer'.

	* shell/ChangeLog.0: The former `ChangeLog' file of the groffer
	versions 0.* was moved to this file.  It contains information of
	the shell only version of groffer 0.*.

	* shell/groffer.sh: This is the old `groffer.sh' file of the shell
	version.

	* shell/groffer2.sh: This is the old `groffer2.sh' file of the
	shell version.

	* shell/groffer.man: This is the old man page groffer.man of the
	shell version.  The shell version keeps its own man page.  It will
	only be installed when the `Makefile.sub' chooses to install the
	shell version instead of the Perl version.

	* shell/README_SH: This is the old `README_SH' file of the shell
	version containing information of the shell compatibility.

	The former part of the ChangeLog file is in `shell/ChangeLog.0'.

2006-10-01  Bernd Warken  <groff-bernd.warken-72@web.de>
________________________________________________________________
License

Copyright (C) 2006-2018 Free Software Foundation, Inc.
Written by Bernd Warken <groff-bernd.warken-72@web.de>.

Copying and distribution of this file, with or without
modification, are permitted provided the copyright notice and this
notice are preserved.

This file is part of `groffer', which is part of the `groff'
project.

####### Emacs settings

Local Variables:
mode: change-log
End:
